Bug 488818 - chaining configuration example is broken due to inconsistent quotes
chaining configuration example is broken due to inconsistent quotes
Status: CLOSED CURRENTRELEASE
Product: Red Hat Directory Server
Classification: Red Hat
Component: Doc-administration-guide (Show other bugs)
8.0
All All
low Severity medium
: ---
: ---
Assigned To: Deon Ballard
Content Services Development
: Documentation
Depends On:
Blocks: 249650
  Show dependency treegraph
 
Reported: 2009-03-05 15:18 EST by Ulf Weltman
Modified: 2009-08-19 23:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-01 18:08:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ulf Weltman 2009-03-05 15:18:08 EST
In the chapter "3.3. Creating and Maintaining Database Links" the use of quotes is inconsistent, but quotes in LDAP attribute values are significant.  See these two examples from that chapter:

dn: cn="c=africa,ou=people,dc=example,dc=com",cn=mapping tree,cn=config
objectclass=nsMappingTree
nsslapd-state=backend
nsslapd-backend=DBLink1
nsslapd-parent-suffix: ou=people,dc=example,dc=com
cn: c=africa,ou=people,dc=example,dc=com

dn: cn="l=Zanzibar,c=africa,ou=people,dc=example,dc=com",cn=mapping tree,cn=config 
objectclass: top 
objectclass: extensibleObject 
objectclass: nsMappingTree 
nsslapd-state: backend 
nsslapd-backend: DBLink2 
nsslapd-parent-suffix: "c=africa,ou=people,dc=example,dc=com"
cn: l=Zanzibar,c=africa,ou=people,dc=example,dc=com

The nsslapd-parent-suffix attribute uses quotes in one and no quotes in the other.  Also, the cn values should have quotes to match the DN.  Mixed use of quotes in node definitions and references sets a bad example to users of the product, and does not work correctly with current versions of Directory Server anyway.
Comment 1 Deon Ballard 2009-05-01 18:08:54 EDT
I went through the examples and made sure everything was quoted. Unless I'm reading the engineering bug wrong, it's possible for both quoted and unquoted to work, but I think using the quotes made the docs more clear. So, for example, it should be:

dn: cn="l=Zanzibar,c=africa,ou=people,dc=example,dc=com",cn=mapping
tree,cn=config 
objectclass: top 
objectclass: extensibleObject 
objectclass: nsMappingTree 
nsslapd-state: backend 
nsslapd-backend: DBLink2 
nsslapd-parent-suffix: "c=africa,ou=people,dc=example,dc=com"
cn: "l=Zanzibar,c=africa,ou=people,dc=example,dc=com"

The "cn" and "nsslapd-parent-suffix" attributes are quoted everywhere (well, everywhere appropriate) now in the docs. The 8.1 docs are live; the 8.0 docs will be updated soon.

Closing.

Note You need to log in before you can comment on or make changes to this bug.